Subject: Re: [PATCH 11/16] powerpc/mm: Add SMP support to no-hash TLB handling v3

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 16 Dec 2008 08:18:57 +1100

On Mon, 2008-12-15 at 15:10 -0600, Kumar Gala wrote:

> Hmm.. are you mixing the two different locking needs together?  The is  
> locking of ivax vs tlbwe and there is locking around multiple "msgs"  
> on the bus.  I know for us we can have any # of ivax's on the bus, but  
> only one tlbsync.

I'm purely talking about the later. Right now I only issue one ivax +
one tlbsycn anyway but I was thinking about having _tlbivax_bcast take a
count for small ranges, but I would still lock the whole thing because
some impl I know of don't like multiple ivax coliding form different
sources neither.

Cheers,
Ben.